<template>
  <div>
    <div class="m-10 bg-gray-300 h-48 border-2 border-gray-600 border-dashed rounded-lg flex items-center justify-center" @click="openSelection">
      <div class="bg-gray-600 w-12 h-12 rounded-full text-center text-white flex items-center justify-center">
        <span class="text-3xl font-bold">+</span>
      </div>
    </div>
    <SelectRestaurant v-if="popup" :closeCallback="closeSelection"/>
  </div>
</template>

<script lang="ts">
import { Component, Vue } from 'vue-property-decorator';
import SelectRestaurant from '@/components/SelectRestaurant.vue';

@Component({
  components: {
    SelectRestaurant
  }
})
export default class AddRestaurant extends Vue {
  public popup: Boolean = false;

  public openSelection(): void {
    this.popup = true;
  }

  public closeSelection(): void {
    this.popup = false;
  }
}


</script>

<style lang="postcss" scoped>
</style>
